const state = {
  wordList: []// 设置初始特征列表
}

const getters = {
  getwordList(state) {
    return state.wordList // 返回当前特征列表
  }
}

// 定义Mutations
const mutations = {
  setWordList(state, val) {
    state.wordList = val // 改变当前特征列表
  }
}

const actions = {
  setWordListValue({ commit, state }, val) {
    commit('setWordList', val)// 调用mutations方法
  }
}

export default {
  namespaced: true,
  state,
  getters,
  mutations,
  actions
}
